QCAT - Task #1775
User Story # 1774 (Closed): Caching

Drill down cache usage
06 Feb 2018 12:27 - Sebastian Manger

Status: Closed Start date: 06 Feb 2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 36.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

Notes

High priority, as iterations are expected
Improve monitoring of RAM usage

e o o o

Estimate break down

Evaluation of monitoring packages: 8h
Implement monitoring on qcat-dev and check: 2h

¢ Does it measure what we expect: 1h

Improve monitoring of configuration cache usage (set, get, miss)
Get a clear idea where the leak is (cache keeps growing and reaches 2 GB after a few days)
There will be a gap between implementation of monitoring and interpretation of results; also, some iterations are expected.

e Does it haven an impact on the application performance?: 1h

Implement on gcat-live: 2h
Interpretation of results: 2h

Iterations (update metrics, gather results, interpret): 8h per iteration x 3 (?): 16h

History

#1 - 06 Feb 2018 15:36 - Sebastian Manger
- translation missing: en.field_tag_list set to Required
- Description updated

- Estimated time set to 32.00 h

#2 - 08 Feb 2018 11:00 - Sebastian Manger
- Estimated time changed from 32.00 h to 36.00 h

#3 - 22 Feb 2018 10:10 - Kurt Gerber
- Target version changed from Carbon Benefit to QCAT Backlog

#4 - 27 Feb 2018 10:10 - Kurt Gerber
- Status changed from New to Accepted

- Priority changed from Normal to High

#5 - 22 Aug 2018 08:54 - Kurt Gerber
- Priority changed from High to Normal

#6 - 27 Sep 2019 13:41 - Kurt Gerber

- Status changed from Accepted to Closed
Leak was found: It was in the gzip plugin of uwsgi.
Removing that solved the problem.
